Public Class Form_CTTH
    Dim i3, a1, a2, b1, b2, kq2, kq3, tong1, hieu1, tich1, n As Integer
    Dim a5, b5, c5, kq5, r, chuvi, dientich, thuong1 As Double
    Private Sub Button_dientich_Click(sender As Object, e As EventArgs) Handles Button_dientich.Click
        Try
            r = CDbl(TextBox_nhapr6.Text)
            pi = 3.141592654
            dientich = pi * (r ^ 2)
            TextBox_dientich.Text = CStr(dientich)
        Catch
            MessageBox.Show("Nhập bán kính R rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_chuvi_Click(sender As Object, e As EventArgs) Handles Button_chuvi.Click
        Try
            r = CDbl(TextBox_nhapr6.Text)
            pi = 3.141592654
            chuvi = 2 * pi * r
            TextBox_chuvi.Text = CStr(chuvi)
        Catch
            MessageBox.Show("Nhập bán kính R rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_hieu4_Click(sender As Object, e As EventArgs) Handles Button_hieu4.Click
        Try
            a4 = CDbl(TextBox_nhapa4.Text)
            b4 = CDbl(TextBox_nhapb4.Text)
            hieu4 = a4 - b4
            TextBox_kq4.Text = CStr(hieu4)
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_tich4_Click(sender As Object, e As EventArgs) Handles Button_tich4.Click
        Try
            a4 = CDbl(TextBox_nhapa4.Text)
            b4 = CDbl(TextBox_nhapb4.Text)
            tich4 = a4 * b4
            TextBox_kq4.Text = CStr(tich4)
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_kq5_Click(sender As Object, e As EventArgs) Handles Button_kq5.Click
        Try
            a5 = CDbl(TextBox_nhapa5.Text)
            b5 = CDbl(TextBox_nhapb5.Text)
            c5 = CDbl(TextBox_nhapc5.Text)
            delta = (b5 * b5) - (4 * a5 * c5)
            If a5 <> 0 Then
                If delta > 0 Then
                    x1 = (-b5 + ((delta) ^ 0.5)) / (2 * a5)
                    x2 = (-b5 - ((delta) ^ 0.5)) / (2 * a5)
                    TextBox_kq5.Text = "x1 = " & CStr(x1) & ",  x2 = " & CStr(x2)
                ElseIf delta = 0 Then
                    kq5 = (-b5) / (2 * a5)
                    TextBox_kq5.Text = "x1 = x2 =  " & CStr(kq5)
                Else
                    TextBox_kq5.Text = CStr("vô nghiệm")
                End If
            Else
                TextBox_kq5.Text = CStr("đây không phải pt bậc 2")
            End If
        Catch
            MessageBox.Show("Nhập hệ số a , b ,c rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_thuong4_Click(sender As Object, e As EventArgs) Handles Button_thuong4.Click
        Try
            a4 = CDbl(TextBox_nhapa4.Text)
            b4 = CDbl(TextBox_nhapb4.Text)
            If (b4 = 0) Then
                TextBox_kq4.Text = CStr("error")
            Else
                thuong4 = a4 / b4
                TextBox_kq4.Text = CStr(thuong4)
            End If
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub

    Dim a4, b4, tong4, hieu4, tich4, thuong4, delta, x1, x2, pi As Double

    Private Sub Button_tong4_Click(sender As Object, e As EventArgs) Handles Button_tong4.Click
        Try
            a4 = CDbl(TextBox_nhapa4.Text)
            b4 = CDbl(TextBox_nhapb4.Text)
            tong4 = a4 + b4
            TextBox_kq4.Text = CStr(tong4)
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_kq3_Click(sender As Object, e As EventArgs) Handles Button_kq3.Click
        Try
            n = CDbl(TextBox_nhapn3.Text)
            i3 = 0
            kq3 = 0
            Do
                i3 = i3 + 1
                kq3 = kq3 + i3
            Loop Until (i3 > n - 1)
            TextBox_kq3.Text = CStr(kq3)
        Catch
            MessageBox.Show("Nhập hệ số N rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_thuong1_Click(sender As Object, e As EventArgs) Handles Button_thuong1.Click
        Try
            a1 = CDbl(TextBox_nhapa1.Text)
            b1 = CDbl(TextBox_nhapb1.Text)
            If (b1 = 0) Then
                TextBox_kq1.Text = CStr("error")
            Else
                thuong1 = a1 / b1
                TextBox_kq1.Text = CStr(thuong1)

            End If
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_kq2_Click(sender As Object, e As EventArgs) Handles Button_kq2.Click
        Try
            a2 = CDbl(TextBox_nhapa2.Text)
            b2 = CDbl(TextBox_nhapb2.Text)
            If (a2 = 0) Then
                TextBox_kq2.Text = CStr("error")
            Else
                kq2 = -b2 / a2
                TextBox_kq2.Text = CStr(kq2)
            End If
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_tich1_Click(sender As Object, e As EventArgs) Handles Button_tich1.Click
        Try
            a1 = CDbl(TextBox_nhapa1.Text)
            b1 = CDbl(TextBox_nhapb1.Text)
            tich1 = a1 * b1
            TextBox_kq1.Text = CStr(tich1)
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub Button_hieu1_Click(sender As Object, e As EventArgs) Handles Button_hieu1.Click
        Try
            a1 = CDbl(TextBox_nhapa1.Text)
            b1 = CDbl(TextBox_nhapb1.Text)
            hieu1 = a1 - b1
            TextBox_kq1.Text = CStr(hieu1)
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try

    End Sub
    Private Sub Button_tong1_Click(sender As Object, e As EventArgs) Handles Button_tong1.Click
        Try
            a1 = CDbl(TextBox_nhapa1.Text)
            b1 = CDbl(TextBox_nhapb1.Text)
            tong1 = a1 + b1
            TextBox_kq1.Text = CStr(tong1)
        Catch
            MessageBox.Show("Nhập hệ số a và b rồi thực hiện phép toán.", "Information", MessageBoxButtons.OK, MessageBoxIcon.Information)
        End Try
    End Sub
    Private Sub phan6(ByVal r As Integer, ByRef chuvi As Integer, ByRef dientich As Integer)
        r = CDbl(TextBox_nhapr6.Text)
        pi = 3.141592654
        chuvi = 2 * pi * r
        dientich = pi * (r ^ 2)
        TextBox_chuvi.Text = CStr(chuvi)
        TextBox_dientich.Text = CStr(dientich)
    End Sub
End Class
